package com.bjsxt.commons;

import javax.swing.*;
import java.sql.Connection;
import java.sql.DriverManager;
import java.util.ResourceBundle;

public class JdbcUtils {
    private  static String driver;
    private static String url;
    private  static  String username;
    private static  String password;
    static {

        try {
            ResourceBundle bundle=ResourceBundle.getBundle("db");
            driver=bundle.getString("jdbc.driver");
            url=bundle.getString("jdbc.url");
            username=bundle.getString("jdbc.username");
            password=bundle.getString("jdbc.password");
            Class.forName(driver);
        } catch (ClassNotFoundException e) {
            e.printStackTrace();
        }
    }

    //获取连接的方法
    public static Connection getConnection(){
        Connection conn=null;
        try{
            conn= DriverManager.getConnection("url,username,password");
        }catch (Exception e){
            e.printStackTrace();
        }
        return conn;
    }

    //关闭连接
    public static void closeConnection(Connection connection){
        try{
            connection.close();
        }catch (Exception e){
            e.printStackTrace();

        }
    }

}
